Bug 8329 - При запросе информации об исполнителе в wikipedia используется неправильная кодировка запроса
: При запросе информации об исполнителе в wikipedia используется неправильная к...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/amarok)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
: 9725
:
  Show dependency tree
 
Reported: 2005-10-24 13:29 by
Modified: 2006-09-28 12:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-24 13:29:29
При запросе информации об исполнителе в wikipedia используется неправильная
кодировка запроса. Например, если играет _MP3_, где исполнитель Юрий Лоза
(кодировка в id3v1 - cp1251), то в разделе "статистика" на вкладке
"Исполнитель"
получаем то, что в скриншоте:
http://riva.gomel.by/~olvin/bugzilla/amarok-bad-encoding.png
------- Comment #1 From 2006-05-03 13:09:47 -------
The requested URL /~olvin/bugzilla/amarok-bad-encoding.png was not found on this
server.
------- Comment #2 From 2006-06-30 19:24:35 -------
Подтверждаю. Был такой баг. Сейчас changelog приведу.
Поправили в 1.4.1-beta1.

    * Send UTF-8 encoded requests to Wikipedia. Thanks to Thomas Lindroth
      <tholi945@student.liu.se> for the patch. (BR 127654)

Так что, с появлением у нас 1.4.1-beta1 или выше, проблема уйдёт.
------- Comment #3 From 2006-07-17 17:03:57 -------
1.4.1 уже в Сизифе. Там эту проблемы исправили.

fixed.
------- Comment #4 From 2006-08-24 16:14:34 -------
и close...